%{!?drupal6: %global drupal6 %{_datadir}/drupal6}
%{!?drupal6_modules: %global drupal6_modules %{drupal6}/sites/all/modules}

%global module ctools

Name:      drupal6-%{module}
Version:   1.12
Release:   1%{?dist}
Summary:   Primarily a set of APIs and tools to improve the developer experience

Group:     Applications/Publishing
License:   GPLv2+
URL:       http://drupal.org/project/%{module}
Source0:   http://ftp.drupal.org/files/projects/%{module}-6.x-%{version}.tar.gz

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  drupal6
# phpcompatinfo (computed from version 1.12)
Requires:  php-date
Requires:  php-gd
Requires:  php-mbstring
Requires:  php-pcre
Requires:  php-session

Provides:  drupal6(%{module})                = %{version}
Provides:  drupal6(%{module}_access_ruleset) = %{version}
Provides:  drupal6(%{module}_ajax_sample)    = %{version}
Provides:  drupal6(%{module}_custom_content) = %{version}
Provides:  drupal6(%{module}_plugin_example) = %{version}
Provides:  drupal6(bulk_export)              = %{version}
Provides:  drupal6(page_manager)             = %{version}
Provides:  drupal6(stylizer)                 = %{version}
Provides:  drupal6(views_content)            = %{version}

%description
This suite is primarily a set of APIs and tools to improve the developer
experience. It also contains a module called the Page Manager whose job
is to manage pages. In particular it manages panel pages, but as it grows
it will be able to manage far more than just Panels.

For the moment, it includes the following tools:
* Plugins -- tools to make it easy for modules to let other modules implement
      plugins from .inc files.
* Exportables -- tools to make it easier for modules to have objects that live
      in database or live in code, such as 'default views'.
* AJAX responder -- tools to make it easier for the server to handle AJAX
  requests and tell the client what to do with them.
* Form tools -- tools to make it easier for forms to deal with AJAX.
* Object caching -- tool to make it easier to edit an object across multiple
      page requests and cache the editing work.
* Contexts -- the notion of wrapping objects in a unified wrapper and providing
      an API to create and accept these contexts as input.
* Modal dialog -- tool to make it simple to put a form in a modal dialog.
* Dependent -- a simple form widget to make form items appear and disappear
      based upon the selections in another item.
* Content -- pluggable content types used as panes in Panels and other modules
      like Dashboard.
* Form wizard -- an API to make multi-step forms much easier.
* CSS tools -- tools to cache and sanitize CSS easily to make user-input CSS
      safe.

This package provides the following Drupal modules:
* bulk_export
* %{module}
* %{module}_access_ruleset
* %{module}_ajax_sample
* %{module}_custom_content
* %{module}_plugin_example
* page_manager
* stylizer
* views_content


%prep
%setup -qn %{module}

# Docs
mkdir -p docs/ctools_plugin_example
mv *.txt docs
mv ctools_plugin_example/README.txt docs/ctools_plugin_example/
mv docs/LICENSE.txt .


%build
# Empty build section, nothing required


%install
rm -rf %{buildroot}
mkdir -pm 0755 %{buildroot}%{drupal6_modules}/%{module}
cp -pr * %{buildroot}%{drupal6_modules}/%{module}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc docs/*
%{drupal6_modules}/%{module}
%exclude %{drupal6_modules}/%{module}/*.txt


%changelog
* Sat Apr 04 2015 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.12-1
- Updated to 1.12 (BZ #1203478)
- Removed RPM README b/c it only explained common Drupal workflow

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 13 2014 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.11-1
- Updated to 1.11 (BZ #1064730; release notes https://drupal.org/node/2194547)
- Security BZ #1064864, #1064865, #1064867
- SA-CONTRIB-2014-013
- Spec cleanup

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 30 2012 Peter Borsa <peter.borsa@gmail.com> - 1.10-1
- Fix BZ#881987
- Fix BZ#881988

* Thu Aug 16 2012 Peter Borsa <peter.borsa@gmail.com> - 1.9-1
- New upstream version.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 28 2011 Peter Borsa <asrob@alice> - 1.8-6
- Lang macro is added.

* Thu Jan 27 2011 Peter Borsa <peter.borsa@gmail.com> - 1.8-5
- Replaced version numbers to version macro.

* Wed Jan 26 2011 Peter Borsa <peter.borsa@gmail.com> - 1.8-4
- Corrected alignment.
- Chmod and cp lines are copied under prep section.

* Wed Jan 19 2011 Peter Borsa <peter.borsa@gmail.com> - 1.8-3
- Fixed License field.

* Sat Jan 8 2011 Peter Borsa <peter.borsa@gmail.com> - 1.8-2
- Additional adjustments in the spec file

* Sun Dec 19 2010 Peter Borsa <peter.borsa@gmail.com> - 1.8-1
- Initial packaging.
